<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
<table border="0" width="769" height="211" cellspacing="0" cellpadding="0" style="margin-top:21px; ">
  <tr>
  	
				<td width="207" height="47" style="padding-left:15px; " valign="top" align="left"><img src="images/logo.gif" width="192" height="38" alt="" border="0" /></td>
				<td width="192" rowspan="2" height="211" align="left"><img src="images/woman.jpg" alt="" width="192" height="211" /></td>
				<td width="110" height="47"><?php   if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
   										    include(DIR_WS_BOXES . 'currencies.php');
																					  } ?></td>
				<td width="100" height="32" style="padding-top:15px;" align="center"><?php  if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
										    include(DIR_WS_BOXES . 'languages.php');} ?></td>
				<td width="160" height="37" align="left" style="padding-top:10px; "><?php require(DIR_WS_BOXES . 'shopping_cart.php'); ?></td>
			
  </tr>
	<tr>
		<td width="182" height="164" style="background:url('images/woman_left_bg.jpg') no-repeat; padding-left:25px;" align="left">
<ul class="topmenu">
  	<li><a href="<?php echo tep_href_link(FILENAME_ABOUT_US) ?>" class="atopmenu">About Us</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_SPECIALS) ?>" class="atopmenu">Specials</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_ADVANCED_SEARCH) ?>" class="atopmenu">Advanced Search</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_CREATE_ACCOUNT) ?>" class="atopmenu">Create an account</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_LOGIN) ?>" class="atopmenu">Customer login</a></li>
  </ul>
<div style="padding-top:8px; ">
<?php  require(DIR_WS_BOXES . 'search.php'); ?>
</div>
	</td>
		<td colspan="3" width="370" height="164"><a href=""><img src="images/SPA.jpg" width="370" height="164" border="0" alt="SPA" /></a></td>
	</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="769" height="37" style="margin-bottom:4px; ">
	<tr>
		<td width="100%" height="37" bgcolor="#989b92" style="padding-bottom:7px; "><?php  require(DIR_WS_BOXES . 'menu.php'); ?></td>
	</tr>
</table>

<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>
